package com.bonus.hn.bearing.capacity.backstage.teamset.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.manager.utils.R;
import com.bonus.hn.bearing.capacity.backstage.select.entity.DataDictBean;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.ResourceSetBean;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.StringDataBean;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author xliu
 * @date 2023/11/7 21:22
 */
public interface TeamSetService {

    @Transactional
    int addBranchOfficeTeamSet(StringDataBean bean);

    int getTeamByLevelAndName(ResourceSetBean bean);

    List<ResourceSetBean> getTeamSetByType(ResourceSetBean bean);

    int updateTeamSetStatus(ResourceSetBean bean);

    List<DataDictBean> getDataDictByDickValModify(DataDictBean o);

    int delTeamSet(StringDataBean bean);

    int delDataDict(StringDataBean bean);

    int saveDataDict(StringDataBean bean);

    int getTeamByTeamTypeAndName(ResourceSetBean bean);
}
